#include "colors.inc"
#include "textures.inc"

#declare HBPLotLandT = texture {
	pigment {
		colour Gray70
	}
}
#local HBBrickT = texture {
	pigment {
		colour rgb <.4,.05,.05>//Firebrick
	}
	finish {
		ambient 0
		diffuse .6
		brilliance .1
		phong 0
		specular .05
		roughness 1
	}
}
texture {
	pigment {
		agate            // use an agate-like texture
		agate_turb 0.3   // can alter turbulence [1.0]
		turbulence .5
		colour_map {
			[0 colour White transmit 1]
			[.65 colour White transmit 1]
			[.85 colour Green transmit .8]
			[1 colour Green transmit .8]
		}
		scale .1
	}
	rotate <40,50,140>
	translate <50,50,50>
}
texture {
	pigment {
		agate            // use an agate-like texture
		agate_turb 0.3   // can alter turbulence [1.0]
		turbulence .5
		colour_map {
			[0 colour White transmit 1]
			[.65 colour White transmit 1]
			[.85 colour Black transmit .9]
			[1 colour Black transmit .9]
		}
		scale .2
	}
	normal {
		granite 0.3
		turbulence .1
		scale .04
	}
	rotate <20,40,60>
}

#declare HBMainHouse1T = texture {
	brick 
	texture {
		pigment {
			colour Gray50
		}
		normal{
			bumps 0.2
			scale .01
		}
	}
	texture {
		HBBrickT
	}
	brick_size <8,3,4.5>/40
	mortar .5/40
	translate <3.14159,3.14159,3.14159>
}



#declare HBRoof1T = texture {
	brick
	texture {
		pigment {
			colour Black
		}
	}
	texture {
		pigment {
			marble
			turbulence .7
			colour_map {
				[0 colour rgb .04]
				[1 colour rgb .02]
			}
		}
		normal {
			bumps .2
			scale 4
		}
		scale .1
	}
	brick_size <.35,1,.2>*2
	mortar .015
	
}


#declare HBDoor1T=texture {
	pigment {
		colour Red*.85
	}
	finish {
		ambient .5
	}
}
#declare HBDoorKnobT = texture {
	pigment {
		colour Black
	}
}
#declare HBCarpetT = texture {
	pigment {
		colour Wheat
	}
}
#declare HBInteriorWallsT = texture {
	pigment {
		colour White
	}
}

#declare HBWindowFrame1T=texture {
	pigment {
		colour White
	}
}
#declare HBGutterT=texture {
	pigment {
		colour Gray05
	}
}

#local HBCurtColour=<.5,.6,.8>*.7+Yellow*.1;

#declare HBCurtainsT=texture {
	pigment {
		colour HBCurtColour transmit .1
	}
	finish {
//		ambient 6000
		specular .1
		roughness .1
	}
	normal {
		bumps 1
		scale <.02,10000,.02>
	}
}
#declare HBGlassT=texture {
	pigment {
		colour rgbf <.9,.95,.95,.8>
	}
	finish {
		reflection .3
		specular .6
		roughness .001
	}
}
#declare HBGlassI=interior {
	ior 1.45
}
#declare HBChimPotT= texture {
	pigment {
		colour Black
	}
	finish {
		specular .01
		roughness 1
	}
	normal {
		dents .2
		turbulence .5
		scale .1
	}
}
